## org.apache.lucene.queryParser.standard.config
Interface LocaleAttribute

All Superinterfaces:
  Attribute

All Known Implementing Classes:
  LocaleAttributeImpl

Deprecated.

    @Deprecated
    public interface LocaleAttribute

extends Attribute

This attribute is used by processor `ParametricRangeQueryNodeProcessor` and must be defined in the `QueryConfigHandler`. This attribute tells the processor what is the default `Locale` used to parse a date.

Method Summary
`Locale` `getLocale()` Deprecated.
`void` `setLocale(Locale locale)` Deprecated.

Method Detail

### setLocale

    void setLocale(Locale locale)

  Deprecated.

### getLocale

    Locale getLocale()

  Deprecated.